Skip to main content
POST
/
api
/
v1
/
ai
/
generate-variants
Generate A/B variants
curl --request POST \
  --url https://api.kynva.ai/api/v1/ai/generate-variants \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "templateId": "<string>",
  "dimensions": [],
  "count": 5,
  "context": {
    "brand": "<string>",
    "product": "<string>",
    "audience": "<string>",
    "goal": "<string>"
  },
  "colorPalettes": [
    [
      "<string>"
    ]
  ],
  "seed": 123
}
'
import requests

url = "https://api.kynva.ai/api/v1/ai/generate-variants"

payload = {
"templateId": "<string>",
"dimensions": [],
"count": 5,
"context": {
"brand": "<string>",
"product": "<string>",
"audience": "<string>",
"goal": "<string>"
},
"colorPalettes": [["<string>"]],
"seed": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
templateId: '<string>',
dimensions: [],
count: 5,
context: {brand: '<string>', product: '<string>', audience: '<string>', goal: '<string>'},
colorPalettes: [['<string>']],
seed: 123
})
};

fetch('https://api.kynva.ai/api/v1/ai/generate-variants', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "success": true,
  "data": {}
}

Authorizations

Authorization
string
header
required

Your Kynva API key (kyn_live_xxx or kyn_test_xxx; legacy rf_ keys remain valid)

Body

application/json
templateId
string
required

Template to generate variants from

dimensions
enum<string>[]
required

Which aspects to vary

Available options:
headline,
cta,
colorScheme,
typography,
tone,
emphasis,
layout,
imagery
count
number
default:5
Required range: 1 <= x <= 10
context
object
colorPalettes
string[][]

Custom color palettes for color variants

seed
number

Seed for reproducible variants

Response

200 - application/json

Variants generated

Variants generated

success
boolean
data
object